<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div *ngIf="this.page === 'false'">
  <div class="consider-header">
    <div class="d-flex">
      <div class="pps-header" style="cursor: pointer;" (click)="backToDashboardPage()">
        <a class="style-font">
          <i style="font-size: 20px;cursor: pointer;" class="fa fa-chevron-left"></i>
          ผลการพิจารณาของคณะกรรมการผลิตภัณฑ์</a>
      </div>

      <button type="button" class="btn rectangle-save" (click)="saveConsiderResult()">
        บันทึก
      </button>
      <button type="button" class="btn rectangle-send" style="margin-left: 24px;" (click)="checksendConsiderResult()">
        ส่งงาน
      </button>

    </div>
    <p class="header-th style-font">
      บันทึกข้อมูลผลการพิจารณาของคณะกรรมการผลิตภัณฑ์ดังต่อไปนี้
    </p>
  </div>

  <div class="consider-body">
    <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : ''}">
      <a class=" alert-detail">บันทึกผลการพิจารณาเรียบร้อย</a>
    </div>
    <div class="row">
      <p class="result-th">ผลการพิจารณา</p>
      <p class="select-one">( สามารถเลือกได้มากกว่า 1 )</p>
    </div>
    <div class="row">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.know" (click)="changeSaveDraft()"
        (change)="considerdata.know = !considerdata.know">
        <div class="style-text" [ngClass]=" 
          considerdata.know === true
            ? 'checkbox-detail-true'
            : 'checkbox-detail-false'
          ">ทราบ
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.knowText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.knowText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.know !== true"
        [ngClass]="{'textarea-disabled': considerdata.know !== true, 'textarea-undisabled':considerdata.know === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.agree"  (click)="changeSaveDraft()"
        (change)="considerdata.agree = !considerdata.agree">
        <div class="style-text" [ngClass]="
          considerdata.agree === true
            ? 'checkbox-detail-true'
            : 'checkbox-detail-false'
          ">เห็นชอบในหลักการ
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.agreeText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.agreeText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.agree !== true"
        [ngClass]="{'textarea-disabled': considerdata.agree !== true, 'textarea-undisabled':considerdata.agree === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.approve" (click)="changeSaveDraft()"
        (change)="considerdata.approve = !considerdata.approve">
        <div class="style-text" [ngClass]="
          considerdata.approve === true
            ? 'checkbox-detail-true'
            : 'checkbox-detail-false'
          ">อนุมัติในหลักการ
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.approveText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.approveText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.approve !== true"
        [ngClass]="{'textarea-disabled': considerdata.approve !== true, 'textarea-undisabled':considerdata.approve === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.operateOther"   (click)="changeSaveDraft()"
        (change)="considerdata.operateOther = !considerdata.operateOther">
        <div class="style-text" [ngClass]="
          considerdata.operateOther === true
            ? 'checkbox-detail-true'
            : 'checkbox-detail-false'
          ">ให้ดำเนินการเพิ่มเติมตามความเห็นที่ประชุม
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.operateOtherText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.operateOtherText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.operateOther !== true"
        [ngClass]="{'textarea-disabled': considerdata.operateOther !== true, 'textarea-undisabled':considerdata.operateOther === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <div class="col-3">
        <mat-checkbox style="margin-left: 5px;margin-top: 15px;" [checked]="considerdata.presentation"   (click)="changeSaveDraft()"
          (change)="considerdata.presentation = !considerdata.presentation">
          <div class="style-text" [ngClass]="
            considerdata.presentation === true
              ? 'checkbox-detail-true'
              : 'checkbox-detail-false'
            ">นำเสนอ / รายงานอีกครั้ง
          </div>
        </mat-checkbox>
      </div>
      <div class="col-4;">
        <p class="style-text" style="width: auto;">ภายในวันที่</p>
      </div>
      <div class="col-2" style="height: 20px;">
        <div class="icon-warpper1">
          <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()" /> -->
        </div>
        <!-- <input angular-mydatepicker type="text" name="myDpOptions" class="form-control placeholder-text" placeholder="08/01/2563" /> -->
        <!-- <input angular-mydatepicker type="text" name="myDpOptions" class="form-control placeholder-text"
          [(ngModel)]="model" class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions"
          #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->


        <app-date [datepicker_input]="{ role: null , dateData: model, index: null, page: 'considerBoard' }"
          (DateChange)="model = changeDate($event)"></app-date>
      </div>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.presentationText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.presentationText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.presentation !== true"
        [ngClass]="{'textarea-disabled': considerdata.presentation !== true, 'textarea-undisabled':considerdata.presentation === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.passDepartmentFirst"   (click)="changeSaveDraft()"
        (change)="considerdata.passDepartmentFirst = !considerdata.passDepartmentFirst">
        <div class="style-text" [ngClass]="
        considerdata.passDepartmentFirst === true
          ? 'checkbox-detail-true'
          : 'checkbox-detail-false'
        ">ให้ผ่านความเห็นของหน่วยงานที่เกี่ยวข้องก่อน
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.passDepartmentFirstText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.passDepartmentFirstText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.passDepartmentFirst !== true"
        [ngClass]="{'textarea-disabled': considerdata.passDepartmentFirst !== true, 'textarea-undisabled':considerdata.passDepartmentFirst === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row" style="margin-top: 21px;">
      <mat-checkbox style="margin-left: 20px;margin-top: 15px;" [checked]="considerdata.BooleannotApprove"   (click)="changeSaveDraft()"
        (change)="considerdata.BooleannotApprove = !considerdata.BooleannotApprove">
        <div class="style-text" [ngClass]="
        considerdata.BooleannotApprove === true
          ? 'checkbox-detail-true'
          : 'checkbox-detail-false'
        ">ไม่อนุมัติ
        </div>
      </mat-checkbox>
    </div>
    <div class="row">
      <!-- <input class="input form-control placeholder-text" [(ngModel)]="considerdata.notApproveText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" /> -->
      <textarea appTextareaAutoresize autocomplete="off" class="input form-control placeholder-text example" [(ngModel)]="considerdata.notApproveText"
        placeholder="ระบุรายละเอียดเพิ่มเติม" [disabled]="considerdata.BooleannotApprove !== true"
        [ngClass]="{'textarea-disabled': considerdata.BooleannotApprove !== true, 'textarea-undisabled':considerdata.BooleannotApprove === true}"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>

    <div class="row">
      <p class="consider-th">ประเด็นพิจารณา</p>
    </div>
    <div>
      <textarea class="text-area form-control placeholder-text" [(ngModel)]="considerdata.considerText"
        placeholder="ระบุรายละเอียดเพิ่มเติม"
        (ngModelChange)="changeSaveDraft()"></textarea>
    </div>
    <div class="row">
      <p class="thepoint-th col-10">ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการตามความเห็นคณะกรรมการผลิตภัณฑ์</p>
      <div class=" col-2" style="display: flex; justify-content: flex-end;">
              <button type="button" class="btn rectangle-saveas" (click)="addData()">
        <img src="../../../../../assets/img/add_white.svg" /><a>เพิ่มข้อมูล</a>
      </button>
      </div>

    </div>
    <div>
      <hr class="border1" />
    </div>
    <div>
      <div class="table-responsives">
        <table class="mat-elevation-z8 mt-3 table-search">
          <tr>
            <th class="toppic-issue">ประเด็น</th>
            <th class="th-issue">ระบุเป็นประเด็นคงค้าง</th>
            <th style="padding-left: 8px;"></th>
          </tr>

          <tr *ngFor="let item of considerdata.considerResultIssue;let i = index"
            [ngClass]="{td_single: i % 2 !== 0,td_couple: i % 2 === 0}">
            <td>
              <!-- <input class="form-control" style="margin-top: 6px;width: 748px;margin-left: 12px;" type="text"
                class="form-control" [(ngModel)]="issuetexttest[i]" /> -->
              <textarea appTextareaAutoresize autocomplete="off" class="form-control example" style="margin-top: 2px;width: 891px;margin-left: 12px;"
                type="text" class="form-control" [(ngModel)]="issuetexttest[i]"
                (ngModelChange)="changeSaveDraft()"></textarea>
              <!--  -->
            </td>
            <td style="padding-left: 8px;vertical-align: top; ">
              <select class="browser-default custom-select" style="width: 200px; height: 40px;margin-top: 2px;"
                [(ngModel)]="processSelected[i]" (ngModelChange)="changeSaveDraft()">
                <option [value]="item1.value" *ngFor="let item1 of item.issuedata">
                  <label *ngIf="processSelected[i] === item1.value"></label>{{item1.title}}
                </option>
              </select>
              <!--  -->
            </td>
            <td style="width: 10%; text-align: center;">
              <span class="delete-data" (click)="removedata(i,item.id)">ลบข้อมูล</span>
            </td>
          </tr>
        </table>
      </div>
      <!-- <div style="margin-top: 6px;">
        <hr class="borderend">
      </div> -->

      <div class="note-th">
        <p>หมายเหตุ : ทั้งนี้ให้ปฏิบัติตามประเด็นคงค้าง / สิ่งที่ต้องดำเนินการตามความเห็นของหน่วยงานที่เกี่ยวข้องด้วย
        </p>
      </div>
      <div>
      </div>
    </div>
  </div>
</div>


<div *ngIf="this.page ==='true'">
  <div class="consider-header">
    <div class="d-flex">
      <div class="pps-header">
        <a class="style-font" style="cursor: pointer ;" (click)="backToDashboardPage()">
          <i style="font-size: 20px;" class="fa fa-chevron-left"></i>
          ผลการพิจารณาของคณะกรรมการผลิตภัณฑ์</a>
      </div>

    </div>
    <p class="header-th style-font">
      บันทึกข้อมูลผลการพิจารณาของคณะกรรมการผลิตภัณฑ์ดังต่อไปนี้
    </p>
  </div>
  <div class="consider-body">
    <div class="row" style="margin-top: 15px;">
      <p class="result-th">ผลการพิจารณา</p>
    </div>
    <div *ngFor="let itemdata of datacon">
      <div style="margin-left: 8px;font-size: 18px;">
        <div>
          <li>{{itemdata.topic}} </li>
        </div>
        <div style="padding-top: 20px;padding-bottom: 20px;padding-left: 20px;word-break: break-all;">รายละเอียด :
          {{itemdata.detail}}</div>
      </div>

    </div>

    <div class="row">
      <p class="consider-th">ประเด็นพิจารณา</p>
    </div>
    <div>
      <hr class="border" />
    </div>
    <div style="margin-left: 20px;margin-top: 24px;word-break: break-all;">
      <li>{{considerText}}</li>
    </div>
    <div class="row">
      <p class="thepoint-th">ประเด็นคงค้าง / สิ่งที่ต้องดำเนินการตามความเห็นคณะกรรมการผลิตภัณฑ์</p>

    </div>
    <div>
      <hr class="border" />
    </div>
    <div>
      <div class="table-responsives">
        <table class="mat-elevation-z8 mt-3 table-search table-striped">
          <tr>
            <th style="padding-left: 20px;height: 65px;width: 548px;color: #999999">ประเด็น</th>
            <th class="th-issue front">ระบุเป็นประเด็นคงค้าง</th>
            <!-- <th style="padding-left: 8px;"></th> -->
          </tr>

          <tr *ngFor="let item of considerResultIssue; let index = index;"
            [ngClass]="{td_single: index % 2 !== 0,td_couple: index % 2 === 0}">
            <td class="top" style="padding-left: 20px;height: 50px; word-break: break-all; width: 891px;">
              {{item.issueText}}
              <!--  -->
            </td>
            <td class="th-issue top">
              {{item.issue}}
              <!--  -->
            </td>
          </tr>
        </table>
      </div>
      <!-- <div style="margin-top: 6px;">
        <hr class="borderend">
      </div> -->

      <div class="note-th">
        <p>หมายเหตุ : ทั้งนี้ให้ปฏิบัติตามประเด็นคงค้าง / สิ่งที่ต้องดำเนินการตามความเห็นของหน่วยงานที่เกี่ยวข้องด้วย
        </p>
      </div>
    </div>
  </div>
</div>




<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการส่งงาน
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการส่งงาน<br>
          ผลการพิจารณาของคณะกรรมการผลิตภัณฑ์นี้
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          ยกเลิก
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="sendConsiderResult()">
          ยืนยันการส่งงาน
        </button>

      </div>
    </div>
    <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ส่งงานแล้วเรียบร้อย</div>
    </div>
  </div>
</div>